<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "ServicioTipoServicio".
 *
 * @property string $id
 * @property string|null $idServicio
 * @property string|null $idTipoServicio
 * @property float|null $costo
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Servicio $idServicio0
 * @property TipoServicio $idTipoServicio0
 */
class ServicioTipoServicio extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'ServicioTipoServicio';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['costo'], 'number'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idServicio', 'idTipoServicio'], 'string', 'max' => 36],
            [['id'], 'unique'],
            [['idServicio'], 'exist', 'skipOnError' => true, 'targetClass' => Servicio::class, 'targetAttribute' => ['idServicio' => 'id']],
            [['idTipoServicio'], 'exist', 'skipOnError' => true, 'targetClass' => TipoServicio::class, 'targetAttribute' => ['idTipoServicio' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'idServicio' => 'Id Servicio',
            'idTipoServicio' => 'Id Tipo Servicio',
            'costo' => 'Costo',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    public function getServicio()
    {
        return $this->hasOne(Servicio::class, ['id' => 'idServicio']);
    }

    public function getTipoServicio()
    {
        return $this->hasOne(TipoServicio::class, ['id' => 'idTipoServicio']);
    }
}
